/* This file is part of MySQLConnectus by Sergio Decherchi

Copyright (C) 2004 Sergio Decherchi

This program is free software; you can redistribute it 
and/or modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation; either version 2 of 
the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
GNU General Public License for more details (gpl.txt).
You should have received a copy of the GNU General Public License 
along with this program; if not, write to the Free Software Foundation, 
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA */

import javax.swing.*;
import javax.swing.filechooser.FileFilter;
import javax.swing.filechooser.FileView;
import java.io.*;

/**Custom icon view for tables */
public class FileIconViewForTab extends FileView
{
	private FileFilter myf;
	private Icon myi;
	
	FileIconViewForTab(FileFilter myfilter,Icon myicon)
	{
		myf=myfilter;
		myi=myicon;
	}
	public Icon getIcon(File f)
	{
		if (!f.isDirectory() && myf.accept(f)  )
		return myi;
		else
		return null;
	}

} 	
	