import javax.swing.tree.DefaultTreeCellRenderer;
import javax.swing.ImageIcon;
import java.awt.Component;
import javax.swing.JTree;

/** Custom tree*/
public class TreeIcon extends DefaultTreeCellRenderer {
		
        public Component getTreeCellRendererComponent(
                            JTree tree,
                            Object value,
                            boolean sel,
                            boolean expanded,
                            boolean leaf,
                            int row,
                            boolean hasFocus) {
			
            super.getTreeCellRendererComponent(
                            tree, value, sel,
                            expanded, leaf, row,
                            hasFocus);
			                            
            IconNode node = (IconNode)value;
			
			ImageIcon imgIcon;
            imgIcon=new ImageIcon(node.getIcon());
			if(imgIcon!=null)
            	setIcon(imgIcon);
            return this;
        }
}