

/**<P> Title:			<B><code>MySQLConnectus 0.3</code></B> 
*<P>Last update			18/09/04 at 11:24
*<P>Description:<B>		Connectus is a simple program that allows you to access 
*						in a few steps to your MySQL DBMS. You can execute query or change 
*						your DB and then showing the results</B>
*
*@version				0.3	
*@author				Sergio Decherchi
 
*/
/*This file is part of MySQLConnectus by Sergio Decherchi

Copyright (C) 2004 Sergio Decherchi

This program is free software; you can redistribute it 
and/or modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation; either version 2 of 
the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
GNU General Public License for more details (gpl.txt).
You should have received a copy of the GNU General Public License 
along with this program; if not, write to the Free Software Foundation, 
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA


 
 HISTORY
 ==========
  *
  *<<Version 0.1>>
  *
  	*--Base version.
  *
  *<<Version 0.2>>
  *
	*--Variables names all in English.
	*--Now tables are correctly shown.
	*--All frames now are internal frames.
	*--Splash screen added. 
	*--Sperimental reorder function added.
	*--Keywords are recognised by reorder function.
	*--LookAndFeel feature added. 
	*--Caret position always set on top.
	*--Caret color changes when the query is reordered red -> blue.
	*--Added support for db modification in reorder function.
 *
 *<<Version 0.3>>
 *
	*--Zip packet for Linux installing .
	*--Auto Installig WinRar packet with needed classes and batch files for windows enviroment.
	*--When new query, preset select,from,where or insert/update/delete.
	*--Code restyling.
	*--Web page help integrated in the help-on-line system.
	*--Memory optimization : 13% of more free memory and speed almost the same.
	*--Complete documentation provided. 
	*--Example files
	*--Query and result tables print feature. 
	*--Print not limited in pages.
	*--Script Connection File.
	*--Config.txt file for remembering the choosen theme and script access configuration.
	*--Reorder function with full query/modification support and partial for tables/trigger/assertions.
	*--Windows title set as file name.New file with a generic title, when saved title is updated.
	*--Code corrections.
	*--Options restyling.
	*--New Set Next Session feature and enable/disable automatic script execution.	
	*--New Auto Configuration window
	*--If Splash2.jpg is deleted the program doesn't crash
	*--Tables can be saved
	*--Table title set when opening saved tables
	*--Setting saved on exit by X. 
	*--Added icons on menus,toolbar and all windows
	*--Added popup menu on query window
	*--Added file filter and relative extensions for query,modification and tables.".qry":".mod":".dat"
	*--Added button Show relations.
	*--Tree Navigation System added.
	*--Fixed JTree vs JTable (ResultSet) bug.
	*--Customized JTree icons.
*
 *KNOWN BUGS
 *==========
	*
	*
	*
 *
 *
 *ROADMAP TO VERSION 0.4
 *======================
	*--Complete reorder function support for tables/trigger/assertions/PSM.
	*--Undo support.
	*--New themes.
	*--Optimizations for 1.5 sdk (September).
	*--Fast channels for files.
	*--CurrentLog and OldLog files for logging history system. 
	*--Remote connection
 */
 
public class Connectus {
	
	
	public static void main (String[] argv)
		{
		MainFrame frame=new MainFrame();
		frame.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE );
		frame.show();
		}



}
	